%define eigen_version 2.0.3
%define rel   1

Name: step
Summary: Interactive physical simulator
Version: 4.8.2
Release: %mkrel %{rel}
Group: Sciences/Physics
License: GPLv2 and GFDL
URL: http://www.kde.org/applications/education/step/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(eigen2) >= %eigen_version
BuildRequires: pkgconfig(libqalculate)
BuildRequires: pkgconfig(gsl)
#Branch patchs 100->200

#Trunk Patchs 200->300

#Mageia Patchs 500->600

%description
Step is an interactive physical simulator. It works like this: 
you place some bodies on the scene, add some forces such as gravity 
or springs, then click "Simulate" and Step shows you how your scene 
will evolve according to the laws of physics. You can change every 
property of bodies/forces in your experiment (even during simulation) 
and see how this will change evolution of the experiment. With Step 
you can not only learn but feel how physics works !

%files
%doc README AUTHORS ChangeLog COPYING COPYING.DOC DESIGN TODO
%_kde_bindir/step
%_kde_datadir/applications/kde4/step.desktop                      
%_kde_appsdir/step
%_kde_datadir/config.kcfg/step.kcfg
%_kde_datadir/config/step.knsrc
%_kde_docdir/HTML/en/step
%_kde_iconsdir/hicolor/*/apps/step.png

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build



%changelog

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228467
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221514
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198276
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-0.mga2
+ Revision: 191076
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186134
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182245
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 4.7.4-1.mga2
+ Revision: 176594
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 4.7.3-1.mga2
+ Revision: 161450
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 4.7.2-1.mga2
+ Revision: 151998
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 4.7.1-1.mga2
+ Revision: 140687
- Update tarball to KDE SC 4.7.1
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires

* Mon Jul 11 2011 mikala <mikala> 4.6.95-0.mga2
+ Revision: 122533
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 4.6.90-1.mga2
+ Revision: 115563
- imported package step

